* {
    margin: 0;
    padding: 0;
}

@import url('https://fonts.googleapis.com/css2?family=Oi&display=swap');

body {
    font-family: system-ui;
    margin: 0;
    height: 100vh;
    width: 100%;
    background: linear-gradient(rgb(6, 1, 22), rgb(21, 1, 56));
    background-origin: center;
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


header {
    position: fixed;
    top: 0;
    z-index: 100;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: max-content;
    width: 95%;
}

header a {
    border-radius: 120px;
}

header a h2 {
    color: white;
    font-size: 50px;
    padding: 40px;
    font-family: "Oi", serif;
    text-shadow: -5px 5px 4px darkblue;
    font-weight: 400;
    font-style: normal;
    border-radius: 12px;
    letter-spacing: 2px;
}

header ul {
    display: flex;
    justify-content: space-around;
    align-items: center;
    list-style: none;
    gap: 50px;
}

header ul li {
    list-style: none;
    transition: 0.4s;
}

a {
    text-decoration: none;
}

header ul li a {
    font-size: 20px;
    padding: 12px 15px;
    color: white;
    transition: 0.5s;
    border-radius: 15px;
}

header ul li a:hover {
    background-color: whitesmoke;
    color: darkblue;
    transform: scale(0.8);
}

header ul li #active {
    background-color: white;
    color: darkblue;
    transform: scale(0.9);
}

header ul li:hover {
    transform: scale(0.9);

}



main {
    position: relative;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

main img {
    position: absolute;
    width: 100%;
    height: 100vh;
    object-fit: cover;

}

.moon {
    transform: translateY(60px);
    mix-blend-mode: screen;
}

main h3 {
    color: white;
    position: absolute;
    font-size: 40px;
    transform: translateY(-150px);

}

main .End {
    position: absolute;
    bottom: 0;
    height: 80px;
    width: 100%;
    background: linear-gradient(to top, rgb(14, 3, 34), transparent);
    z-index: 50;
}

#aboutUs h2 {
    color: white;
    font-size: 40px;
    padding: 20px;
    margin: 30px;
}

#aboutUs p {
    color: white;
    font-size: 18px;
    padding: 20px;
    margin: 30px;
    line-height: 22px;
    letter-spacing: 3px;
    font-family: cursive;
}

#services h2 {
    color: white;
    font-size: 40px;
    padding: 20px;
    margin: 30px;
}

#services p {
    color: white;
    font-size: 18px;
    padding: 20px;
    margin: 10px;
    font-family: cursive;
}

h3 {
    color: white;
    font-size: 30px;
    padding: 20px;
    margin: 10px;
}

h4 {
    color: white;
    font-size: 20px;
    padding: 15px;
    margin: 10px 20px;
    font-family: Google Sans Code;
    font-style: italic;
    filter: brightness(80%) contrast(120%) alpha(90%) blur(80%);
    text-shadow: 2px 2px 14px skyblue;
    border: 1px solid white;
    width: fit-content;
    border-radius: 40px;
    padding: 10px 20px;
    margin-left: 50px;
    display: inline-block;
    cursor: auto;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
}

header ul li a {
    color: white;
    opacity: 1;
    filter: brightness(120%) contrast(120%);
}

#portfolio h2 {
    color: white;
    font-size: 40px;
    padding: 20px;
    margin: 30px;
}

#portfolio p {
    color: white;
    font-size: 18px;
    padding: 20px;
    margin: 30px;
    line-height: 22px;
    letter-spacing: 3px;
    font-family: cursive;
}
hr{
    border: 0;
    height: 1px;
    background: white;
    margin: 140px 280px;
    opacity: 0.5;
}

#Images {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin-top: 30px;
    margin-bottom: 100px;
    margin: 30px;
}

#Images img {
    width:350px;
    height: 250px;
    object-fit: cover;
    transition: 0.8s;
}
#Images img:hover {
    transform: scale(1.05);
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.7);
}

footer{
    width: 80%;
    display:flex;
    flex-direction:row;
    justify-content:space-between;
    align-items:center;
    margin: 30px;
    margin-top: 200px;
    gap: 40px;
}

footer div.Card {
    align-self: center;
    height: 450px;
    width: 300px;
    background-color: rgba(63, 62, 78, 0.829);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.568);
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    font-family: Arial, sans-serif;
    padding: 4%;
    transform: translateX(-180px);
    box-shadow: 0 0 15px skyblue;
}

footer p {
    margin-bottom: 20px;
}

footer .inf {
    width: 100%;
    margin-left: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    justify-items: center;
    margin-top: 50px;
}

footer img[alt="facebook"] {
    width: 30px;
}

footer img[alt="twitter"] {
    width: 30px;
}

footer img[alt="linkedin"] {
    width: 30px;
}
footer nav a {
    display: inline-block;
    text-decoration: none;
    transition:  0.4s ease;
}
footer nav a:hover     {
    transform: scale(1.1);
    background-color: skyblue;
    border-radius:12px ;
}
label {
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.9s ease;
}
label:hover {
    color: skyblue;
    text-decoration: underline;
}
footer h3{
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin-bottom: 10px;
}
footer p{
    font-family: Google Sans Code;
}

footer h2 {
    color: white;
    align-self: flex-start;
    margin: 20px;
    font-size: 34px;
    
}